<mat-card class="property-price-card">
  <mat-card-header>
    <mat-card-title>Residential Property Price Index by Type of Residential Property</mat-card-title>
  </mat-card-header>

  <mat-form-field appearance="fill" class="property-price-select">
  <mat-label>Select a type of property filter</mat-label>
  <mat-select [(value)]="selectedFilter" (selectionChange)="onFilterChange($event)">
    <mat-option *ngFor="let option of filterOption | keyvalue" [value]="option.value">{{option.key}}</mat-option>
  </mat-select>
  </mat-form-field>

  <mat-form-field appearance="fill" class="property-price-select">
  <mat-label>Filter by years over</mat-label>
  <mat-select [(value)]="selectedYear" (selectionChange)="onFilterYearChange($event)">
    <mat-option *ngFor="let option of yearOption" [value]="option">{{option}}</mat-option>
  </mat-select>
  </mat-form-field>

  <mat-card-content>
    <div id="propertyPriceContainer"></div>
  </mat-card-content>
</mat-card>
